function [CalAccData x exitflag]=CalibrateAccelerometer(AccData)


% banana=@(x) ...
%     sum(... % sum over time
%     sqrt(...
%     sum( (AccData -repmat([x(1) x(2) x(3)], length(AccData),1)).^2,  2) ...
%        ) -9.8 ....
%     )/length(AccData);

banana=@(x) ...
    sqrt(...
    sum( (AccData -repmat([x(1) x(2) x(3)], length(AccData),1)).^2,  2) ...
       ) -9.8 ;


[x,resnorm,residual,exitflag]  = lsqnonlin(banana,[0 0 -0.]);
 


CalAccData=AccData -repmat([x(1) x(2) x(3)], length(AccData),1);

end
